Gocator API

- Home
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Modules Pages
Public Member Functions
GoSurfacePlane Class Reference
GoSdk/Tools » Surface

## Description

Represents a surface plane tool.all width/height/length/radius and x/y/z units are in mm, angles in degrees.

Inheritance diagram for GoSurfacePlane:

## Public Member Functions
GoSurfacePlaneDistance | GoSurfacePlane_DistanceMeasurement (GoSurfacePlane tool)
| Returns a GoSurfacePlane Distance measurement object. More...
kStatus | GoSurfacePlane_EnableRegions (GoSurfacePlane tool, kBool enable)
| Sets the enabled state of the reference regions. More...
GoSurfacePlaneMaxError | GoSurfacePlane_MaxErrorMeasurement (GoSurfacePlane tool)
| Returns a GoSurfacePlane Maximum Error measurement object. More...
GoSurfacePlaneMinError | GoSurfacePlane_MinErrorMeasurement (GoSurfacePlane tool)
| Returns a GoSurfacePlane Minimum Error measurement object. More...
GoSurfacePlanePlane | GoSurfacePlane_Plane (GoSurfacePlane tool)
| Returns a GoSurfacePlane plane feature object. More...
GoRegion3d | GoSurfacePlane_RegionAt (GoSurfacePlane tool, kSize index)
| Gets a region at the specified index. More...
kSize | GoSurfacePlane_RegionCount (GoSurfacePlane tool)
| Gets the tool's region count. More...
kBool | GoSurfacePlane_RegionsEnabled (GoSurfacePlane tool)
| Gets the enabled state of the reference regions. More...
kStatus | GoSurfacePlane_SetRegionCount (GoSurfacePlane tool, kSize count)
| Sets the tool region count. More...
GoSurfacePlaneStdDev | GoSurfacePlane_StdDevMeasurement (GoSurfacePlane tool)
| Returns a GoSurfacePlane Standard Deviation measurement object. More...
GoSurfacePlaneXAngle | GoSurfacePlane_XAngleMeasurement (GoSurfacePlane tool)
| Returns a GoSurfacePlane X Angle measurement object. More...
GoSurfacePlaneXNormal | GoSurfacePlane_XNormalMeasurement (GoSurfacePlane tool)
| Returns a GoSurfacePlane X Normal measurement object. More...
GoSurfacePlaneYAngle | GoSurfacePlane_YAngleMeasurement (GoSurfacePlane tool)
| Returns a GoSurfacePlane Y Angle measurement object. More...
GoSurfacePlaneYNormal | GoSurfacePlane_YNormalMeasurement (GoSurfacePlane tool)
| Returns a GoSurfacePlane Y Normal measurement object. More...
GoSurfacePlaneZNormal | GoSurfacePlane_ZNormalMeasurement (GoSurfacePlane tool)
| Returns a GoSurfacePlane X Normal measurement object. More...
GoSurfacePlaneZOffset | GoSurfacePlane_ZOffsetMeasurement (GoSurfacePlane tool)
| Returns a GoSurfacePlane Z Offset measurement object. More...
kStatus | GoSurfaceTool_SetSource (GoSurfaceTool tool, GoDataSource source)
| Sets the data source. More...
kStatus | GoSurfaceTool_SetXAnchor (GoSurfaceTool tool, k32s id)
| Sets the X-anchoring source. More...
kStatus | GoSurfaceTool_SetYAnchor (GoSurfaceTool tool, k32s id)
| Sets the Y-anchoring source. More...
kStatus | GoSurfaceTool_SetZAnchor (GoSurfaceTool tool, k32s id)
| Sets the Z-anchoring source. More...
kStatus | GoSurfaceTool_SetZAngleAnchor (GoSurfaceTool tool, k32s id)
| Sets the ZAngle-anchoring source. More...
GoDataSource | GoSurfaceTool_Source (GoSurfaceTool tool)
| Gets the data source. More...
k32u | GoSurfaceTool_SourceOptionAt (GoSurfaceTool tool, kSize index)
| Gets the data source option at the given index. More...
kSize | GoSurfaceTool_SourceOptionCount (GoSurfaceTool tool)
| Gets the data source option list count. More...
k32s | GoSurfaceTool_XAnchor (GoSurfaceTool tool)
| Gets the current X-anchoring source. More...
kBool | GoSurfaceTool_XAnchorEnabled (GoSurfaceTool tool)
| Returns a boolean value representing whether or not a valid X-anchoring source has been set for X-anchoring. More...
k32u | GoSurfaceTool_XAnchorOptionAt (GoSurfaceTool tool, kSize index)
| Gets the X-anchoring option at the given index. More...
kSize | GoSurfaceTool_XAnchorOptionCount (GoSurfaceTool tool)
| Gets the X-anchoring option list count. More...
k32s | GoSurfaceTool_YAnchor (GoSurfaceTool tool)
| Gets the current Y-anchoring source. More...
kBool | GoSurfaceTool_YAnchorEnabled (GoSurfaceTool tool)
| Returns a boolean value representing whether or not a valid Y-anchoring source has been set for Y-anchoring. More...
k32u | GoSurfaceTool_YAnchorOptionAt (GoSurfaceTool tool, kSize index)
| Gets the Y-anchoring option at the given index. More...
kSize | GoSurfaceTool_YAnchorOptionCount (GoSurfaceTool tool)
| Gets the Y-anchoring option list count. More...
k32s | GoSurfaceTool_ZAnchor (GoSurfaceTool tool)
| Gets the current Z-anchoring source. More...
kBool | GoSurfaceTool_ZAnchorEnabled (GoSurfaceTool tool)
| Returns a boolean value representing whether or not a valid Z-anchoring source has been set for Z-anchoring. More...
k32u | GoSurfaceTool_ZAnchorOptionAt (GoSurfaceTool tool, kSize index)
| Gets the Z-anchoring option at the given index. More...
kSize | GoSurfaceTool_ZAnchorOptionCount (GoSurfaceTool tool)
| Gets the Z-anchoring option list count. More...
k32s | GoSurfaceTool_ZAngleAnchor (GoSurfaceTool tool)
| Sets the ZAngle-anchoring source. More...
kBool | GoSurfaceTool_ZAngleAnchorEnabled (GoSurfaceTool tool)
| Returns a boolean value representing whether or not a valid ZAngle - anchoring source has been set for ZAngle - anchoring. More...
k32u | GoSurfaceTool_ZAngleAnchorOptionAt (GoSurfaceTool tool, kSize index)
| Gets the ZAngle-anchoring option at the given index. More...
kSize | GoSurfaceTool_ZAngleAnchorOptionCount (GoSurfaceTool tool)
| Gets the Z-anchoring option list count. More...
kStatus | GoTool_AddExtMeasurement (GoTool tool, kType type, kBool isFilterable, GoExtMeasurement *measurement)
| Adds the given custom measurement to the tool set. More...
kStatus | GoTool_AddMeasurement (GoTool tool, kType type, kBool isFilterable, GoMeasurement *measurement)
| Adds the given measurement to the tool set. More...
kStatus | GoTool_ClearMeasurements (GoTool tool)
| Removes all measurements for the given tool. More...
GoFeature | GoTool_FeatureOutputAt (GoTool tool, kSize index)
| Retrieves the feature output at the given index. More...
kSize | GoTool_FeatureOutputCount (GoTool tool)
| Returns the feature output count. More...
GoFeature | GoTool_FindFeatureOutputByType (GoTool tool, GoFeatureType type)
| Retrieves the instance of a feature output for a given enumeration type. More...
GoMeasurement | GoTool_FindMeasurementByType (GoTool tool, GoMeasurementType type)
| Retrieves the first found instance of a measurement for a given enumeration type. More...
GoMeasurement | GoTool_MeasurementAt (GoTool tool, kSize index)
| Retrieves the measurement at the given index. More...
kSize | GoTool_MeasurementCount (GoTool tool)
| Returns the measurement count. More...
kStatus | GoTool_Name (GoTool tool, kChar *name, kSize capacity)
| Retrieves the name of the tool. More...
kStatus | GoTool_RemoveMeasurement (GoTool tool, kSize index)
| Removes a measurement at a given index. More...
kStatus | GoTool_SetName (GoTool tool, const kChar *name)
| Sets the name of the tool. More...
GoToolType | GoTool_Type (GoTool tool)
| Retrieves the tool type enumeration value of the tool. More...
kStatus | GoToolUtil_ParseStreamOptions (GoTool tool, kXml xml, kXmlItem item, kArrayList list)
| Parses stream options for the given tool. More...

The documentation for this class was generated from the following file:

- Tools/GoSurfaceTools.h